- Qt 6.6
- Qt Core
- C++ Classes
- QBasicTimer
- Qt 6.6.3 Reference Documentation

# Obsolete Members for QBasicTimer

The following members of class QBasicTimer are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` void | start(int msec, QObject *object)
`(deprecated)` void | start(int msec, Qt::TimerType timerType, QObject *obj)

## Member Function Documentation

### void QBasicTimer::start(int msec, QObject *object)

This function is deprecated. We strongly advise against using it in new code.

Use chrono overload instead.

### void QBasicTimer::start(int msec, Qt::TimerType timerType, QObject *obj)

This function is deprecated. We strongly advise against using it in new code.

This is an overloaded function.

Use chrono overload instead.